<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2004 Christophe Brocas - christophe.brocas (at) free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else
       {
         echo "no functions file. Error.";
         exit;
       }

require_once("lnf-utils-xml".$LNF_file_extension);
require_once("lnf-auth".$LNF_file_extension);
require_once("lnf-display-xml".$LNF_file_extension);

if ($LNF_site_restricted_access==1)
{
   if ( (($way==0) & (isset($currenttopic)) & ($currenttopic!="AllTopics")) || ($way==1))
   {
      CheckHabilitation("Reader",$currenttopic);
   }
}

require_once("menu".$LNF_file_extension);

if ($currenttopic=="AllTopics")
  if ($way==1)
  {
    $tab = ListDirInArray(".xml","news");
  }
  else
  {
     include "forumindex".$LNF_file_extension;
     include "tail".$LNF_file_extension;
     exit;
  }
else
{
  $tab = ListDirInArray("-$currenttopic.xml","news");
}

if (sizeof($tab) >0)
{
 rsort($tab);
 $taille = sizeof($tab);
 $limit = $taille;

 if (empty($newsperpage))
    $newsperpage = 10;

 $pages = $taille / $newsperpage;

 if (empty($page))
    $page = 0;

 if ( $limit > ($page+1)*$newsperpage)
    $limit = ($page+1)*$newsperpage;

 for($i=$page*$newsperpage; $i<$limit; $i++)
 {
    DisplayJustXMLArticle("news/".$tab[$i]);
 }

 echo "<center> \n";
 echo $display[$lang]["pages"] . " ";

 //NEW NEXT PAGE HANLDLING - START
 // Compute the "start page" and "end page" to display in the pages links
 $start_page = floor(($page+1)/10)*10;
 $end_page   = $start_page + 10;

 // test if the previous (<<) link has to be displayed
 if ($start_page > 0)
 {
    $previous_page=$start_page-1;
    echo "<a href=\"listdir".$LNF_file_extension."?page=$previous_page\"><< </a> ";
 }
 for($i=$start_page;(($i<$end_page)&&($i<$pages));$i++)
 {
    $j = $i + 1;
    if ($i == $page)
       echo "<b><a href=\"listdir".$LNF_file_extension."?page=$i\">$j</a></b> ";
    else
       echo "<a href=\"listdir".$LNF_file_extension."?page=$i\">$j</a> ";
 }

 // test if the next (>>) link has to be displayed
 if ($end_page < $pages)
    echo "<a href=\"listdir".$LNF_file_extension."?page=$i\"> >></a> ";

 //NEW NEXT PAGE HANLDLING - END

 echo "\n </center>\n <p>";
}
else
 echo $display[$lang]["nonews"] . ".";

include "tail".$LNF_file_extension;
?>
