<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else
       {
         echo "no functions file. Error.";
         exit;
       }

include "lnf-auth".$LNF_file_extension;
include "lnf-utils-xml".$LNF_file_extension;
include "lnf-display-xml".$LNF_file_extension;

CheckHabilitation("Moderator",$currenttopic);
include "menu".$LNF_file_extension;

if (($way==1)&&($currenttopic=="AllTopics"))
  $tab = ListDirInArray(".xml","news/mod");
else
  $tab = ListDirInArray("-$currenttopic.xml","news/mod");

if (sizeof($tab) >0)
{
  rsort($tab);
  $limit = sizeof($tab);

  print "<form method=\"post\" action=\"manmod".$LNF_file_extension."\">";
  print "<input type=\"hidden\" name=\"comefrom\" value=\"moderate\">";

  $tplArt = new FastTemplate("templates/$LNF_template");
  $tplArt->define( array( table      => "table.tpl",
                          row        => "row.tpl",
                          line       => "line.tpl",
                          colour0    => "colour0.tpl",
                          colour1    => "colour1.tpl",
                          colour2    => "colour2.tpl",
                          td         => "td.tpl") );

  $tplArt->assign(LNF_TD_WIDTH,"45%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["moderation"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"15%");
  $tplArt->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->assign(LNF_TD_WIDTH,"20%");
  $tplArt->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->assign(LNF_TD_WIDTH,"20%");
  $tplArt->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,".row");

  $tplArt->assign(LNF_TD_WIDTH,"45%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["title"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"15%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["topic"]."</b>");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->assign(LNF_TD_WIDTH,"20%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["author"]."</b>");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->assign(LNF_TD_WIDTH,"20%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["postdate"]."</b>");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,".row");

  //NEW NEXT PAGE HANLDLING - START
  if (empty($newsperpage))
     $newsperpage = 10;

  $pages = $limit / $newsperpage;

  if (empty($page))
     $page = 0;

  if ( $limit > ($page+1)*$newsperpage)
     $limit = ($page+1)*$newsperpage;


  $indcolor=0;
  //for($i=0; $i<$limit; $i++)
  for($i=$page*$newsperpage; $i<$limit; $i++)
  //NEW NEXT PAGE HANLDLING - END
  {

     $rtab=DisplayXMLShortMod("news/mod/".$tab[$i],$i,1);

     $file=explode("-", $tab[$i]);
     $topic=explode(".", $file[2]);

     $tplArt->assign(LNF_TD_WIDTH,"45%");
     $tplArt->assign(LNF_TD_CONTENT,$rtab[0]);
     $tplArt->parse(LNF_ROW,"td");
     $tplArt->assign(LNF_TD_WIDTH,"15%");
     $tplArt->assign(LNF_TD_CONTENT,$topic[0]);
     $tplArt->parse(LNF_ROW,".td");
     $tplArt->assign(LNF_TD_WIDTH,"20%");
     $tplArt->assign(LNF_TD_CONTENT,$rtab[1]);
     $tplArt->parse(LNF_ROW,".td");
     $tplArt->assign(LNF_TD_WIDTH,"20%");
     $tplArt->assign(LNF_TD_CONTENT,$rtab[2]);
     $tplArt->parse(LNF_ROW,".td");
     $tplArt->parse(LNF_BACKGROUND_COLOR,"colour".$indcolor);
     $tplArt->parse(LNF_TABLE_ROWS,".row");
     if ($indcolor==0)
        $indcolor=1;
     else
        $indcolor=0;

  }

  $tplArt->assign(LNF_TABLE_WIDTH,"95%");
  $tplArt->parse(FINAL,"table");
  $tplArt->FastPrint(FINAL);

  echo "<center> \n";
  echo $display[$lang]["pages"] . " ";

  //NEW NEXT PAGE HANLDLING - START
  // Compute the "start page" and "end page" to display in the pages links
  $start_page = floor(($page+1)/10)*10;
  $end_page   = $start_page + 10;

  // test if the previous (<<) link has to be displayed
  if ($start_page > 0)
  {
     $previous_page=$start_page-1;
     echo "<a href=\"listdir".$LNF_file_extension."?page=$previous_page\"><< </a> ";
  }
  for($i=$start_page;(($i<$end_page)&&($i<$pages));$i++)
  {
     $j = $i + 1;
     if ($i == $page)
        echo "<b><a href=\"listmod".$LNF_file_extension."?page=$i\">$j</a></b> ";
     else
        echo "<a href=\"listmod".$LNF_file_extension."?page=$i\">$j</a> ";
  }

  // test if the next (>>) link has to be displayed
  if ($end_page < $pages)
     echo "<a href=\"listdir".$LNF_file_extension."?page=$i\"> >></a> ";

  //NEW NEXT PAGE HANLDLING - END

  echo "\n </center>\n <p>";

  print "<p><center><input type=\"submit\" name=\"submit\" value=\"".$display[$lang]["acceptnews"]."\"> <input type=\"submit\" name=\"submit\" value=\"".$display[$lang]["deletenews"]."\"></center>";
  print "</form>";

}
else
  echo $display[$lang]["nonews"] . ".";

include "tail".$LNF_file_extension;
?>
