<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

  if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else 
       {
         echo "no functions file. Error.";
         exit;
       }

  include "lnf-auth".$LNF_file_extension;
  include "lnf-utils-xml".$LNF_file_extension;
  include "lnf-save-xml".$LNF_file_extension;
  include "lnf-display-xml".$LNF_file_extension;

  CheckHabilitation("Moderator",$currenttopic);
  
  $res=explode(".",$art);
  $taille=sizeof($res);

  if (($taille<=1) || ($res[$taille-1]!="xml")) 
  {
    header("Location: " . $url . "listdir".$LNF_file_extension);
    exit;
  }

  include "menu".$LNF_file_extension;

  if ($modify) 
  {
	  // load the links   
	  $i=0;
	  // this link is loaded if link AND description text are mini 1 char long each.
	  if ( ( strlen (trim($link1)) >0) and ( strlen (trim($linktext1)) >0 ))
	  {
		  $link[$i]=$link1;
		  $linktext[$i]=$linktext1;
		  $i++;
	  }
	  if ( ( strlen (trim($link2)) >0) and ( strlen (trim($linktext2)) >0 ))
	  {
		  $link[$i]=$link2;
		  $linktext[$i]=$linktext2;
		  $i++;
	  }
	  if ( ( strlen (trim($link3)) >0) and ( strlen (trim($linktext3)) >0 ))
	  {
		  $link[$i]=$link3;
		  $linktext[$i]=$linktext3;
		  $i++;
	  }
      $art=SaveXMLArticle($art, $titre, $corps, $email, $nom, $date, $newtopic, $link, $linktext, "manage");
  }              
  DisplayXMLArticle("$art");

?>

<form method="post" action="mannews<?php echo $LNF_file_extension; ?>">

<?php
  $tplArt = new FastTemplate("templates/$LNF_template"); 
  $tplArt->define( array( table      => "table.tpl", 
                          row        => "row.tpl", 
                          line       => "line.tpl", 
                          colour0    => "colour0.tpl",
                          colour1    => "colour1.tpl",
                          colour2    => "colour2.tpl",
                          td         => "td.tpl") ); 

  $tplArt->assign(LNF_TD_WIDTH,"100%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["newsmanagement"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,"row");

  $tplArt->assign(LNF_TD_WIDTH,"100%");
  $tplArt->assign(LNF_TD_CONTENT,"<input type=\"radio\" name=\"manchoice\" value=\"1\">" .$display[$lang]["deletenews"]);
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
  $tplArt->parse(LNF_TABLE_ROWS,".row");

  $tplArt->assign(LNF_TD_WIDTH,"100%");
  $tplArt->assign(LNF_TD_CONTENT,"<input type=\"submit\" name=\"submit\" value=". $display[$lang]["send"] . ">");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,".row");     

  $tplArt->assign(LNF_TABLE_WIDTH,"95%");
  $tplArt->parse(FINAL,"table");
  $tplArt->FastPrint(FINAL);

  echo "<input type=\"hidden\" name=\"nomarticle\" value=\"$art\">";
  $newt=GetTopic($art);
  echo "<input type=\"hidden\" name=\"newtopic\" value=\"$newt\">";
?>
</form>
<?php  
  EditXMLArticle("$art","managenews".$LNF_file_extension);
 include "tail".$LNF_file_extension; 
?>
