<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

  if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else 
       {
         echo "no functions file. Error.";
         exit;
       }

  include "lnf-utils-xml".$LNF_file_extension;
  include "lnf-save-xml".$LNF_file_extension;
  include "lnf-auth".$LNF_file_extension;

  if ($LNF_restricted_post==1)
     CheckHabilitation("Poster",$currenttopic);
  if ($LNF_site_restricted_access==1)
     CheckHabilitation("Reader",$currenttopic);

  // Check if the imputs are OK (not null nor full of blanks)
  if ((Valid_Input($titre)==FALSE)) 
  {
      header("Location: " . $url . "contrib".$LNF_file_extension."?lnferror=".$display[$lang]["title"]." ".$display[$lang]["nottobenull"]);
      exit;
  }

  if ((Valid_Input($nom)==FALSE))
  {
    header("Location: " . $url . "contrib".$LNF_file_extension."?lnferror=".$display[$lang]["name"]." ".$display[$lang]["nottobenull"]);
    exit;
  }
  
  if ((Valid_Input($article)==FALSE))
  {
    header("Location: " . $url . "contrib".$LNF_file_extension."?lnferror=".$display[$lang]["comments"]." ".$display[$lang]["nottobenull"]);
    exit;
  }
      
   
  $dateinfic = getdateaffichage();
  $datefic = getdatefichier();
  $email = ereg_replace("@","_at_",$email);   

  if ($moderate==yes)
     $fic = "news/mod/$datefic-$choosentopic.xml";
  else
     $fic = "news/$datefic-$choosentopic.xml";
  
  // load the links 
  $i=0;
  // this link is loaded if link AND description text are mini 1 char long each.
  if ( ( strlen (trim($link1)) >0) and ( strlen (trim($linktext1)) >0 ))
  {
	  $link[$i]=$link1;
	  $linktext[$i]=$linktext1;
	  $i++;
  }
  if ( ( strlen (trim($link2)) >0) and ( strlen (trim($linktext2)) >0 ))
  {
	  $link[$i]=$link2;
	  $linktext[$i]=$linktext2;
	  $i++;
  }
  if ( ( strlen (trim($link3)) >0) and ( strlen (trim($linktext3)) >0 ))
  {
	  $link[$i]=$link3;
	  $linktext[$i]=$linktext3;
	  $i++;
  }

  SaveXMLArticle($fic, StripReservedWords($titre), StripReservedWords($article), StripReservedWords($email), StripReservedWords($nom), $dateinfic, $choosentopic, $link, $linktext, "moderate");

  if ($moderate==yes)
     if (ValidEmailAdress($emailmod))
        mail ($emailmod,"[" . $titre . "] ". $display[$lang]["acceptnews"] . " ?",$display[$lang]["title"] ." [" . $titre . "], " . $display[$lang]["author"] . " [" . $nom . "]","From: lnfnotification@yoursite.com");
  
  header("Location: " . $url . "listdir".$LNF_file_extension);
?>