<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
define("yes", 1);
define("no", 0);
define("left", 0);
define("right", 1);
define("none", 2);

/*** 
Source : PHPMyAdmin code 
Goal   : work around the register_global OFF value that is the default since 4.2.0 PHP version.
         This piece of code allows LNF to work with the existing cookie and form parameters in the same way than before PHP 4.2.0 version.
***/
if (!defined('GRAB_GLOBALS_INCLUDED')) 
{
    define('GRAB_GLOBALS_INCLUDED', 1);
	if (!empty($_GET)) 
	{
	   extract($_GET);
	} 
	else if (!empty($HTTP_GET_VARS)) 
		 {
			extract($HTTP_GET_VARS);
		 }

	if (!empty($_POST)) 
	{
		extract($_POST);
	} 
	else if (!empty($HTTP_POST_VARS)) 
		 {
			extract($HTTP_POST_VARS);
		 } // end if

	if (!empty($_COOKIE)) 
	{
	   extract($_COOKIE);
	} 
	else if (!empty($HTTP_COOKIE_VARS)) 
		 {
			extract($HTTP_COOKIE_VARS);
		 }
}
/*** end of PHPMyAdmin code ***/

if (isset($top)) 
{
  setcookie("currenttopic",$top,time()+86400);
  $currenttopic=$top;
}


// get the sitesettings file whatever its extension is 
if (file_exists("sitesettings.php"))
   include "sitesettings.php";
else if (file_exists("sitesettings.php3"))
         include "sitesettings.php3";
       else 
       {
         echo "no sitesettings file. Error.";
         exit;
       }

if ($way==0) // Forum attitude
{
 if (!isset($currenttopic))
 {
    setcookie("currenttopic","AllTopics",time()+86400);
    $currenttopic="AllTopics";
    // Access to the main page in a forum attitude CAN NOT be restricted.
	// It is the access to an individual forum that can be restricted.
	$LNF_site_restricted_access=0;
    //include "usersettings".$LNF_file_extension; 
 }
 else
 {
    include "news/$currenttopic-usersettings".$LNF_file_extension;
 }
}
else // News system attitude 
{
 if (!isset($currenttopic))
 {
    setcookie("currenttopic","AllTopics",time()+86400);
	$currenttopic="AllTopics";
 }
 include "usersettings".$LNF_file_extension; 
}


// Incorporation of language-dependent display variables.
if (!isset($lang))
   $lang="us";
include "lang/lang-$lang".$LNF_file_extension;

$version="0.8.5RC1";

$colour[0] = "#eeeeee";
$colour[1] = "#e8e6de";

$fonts[0] = "serif";
$fonts[1] = "sans-serif";
$fonts[2] = "cursive";
$fonts[3] = "fantasy";
$fonts[4] = "monospace";

?>
