<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else 
       {
         echo "no functions file. Error.";
         exit;
       }

include "lnf-utils-xml".$LNF_file_extension;
include "lnf-auth".$LNF_file_extension;

include "menu".$LNF_file_extension;
?>

<?php
echo "<form method=\"post\" action=\"setadmin$LNF_file_extension\">";

if ($way==1)
   echo "<input type=\"hidden\" name=\"currenttop\" value=\"news\">";
else
   echo "<input type=\"hidden\" name=\"currenttop\" value=\"news/".$currenttopic."\">";

$tplArt = new FastTemplate("templates/$LNF_template"); 
$tplArt->define( array( table      => "table.tpl", 
                        row        => "row.tpl", 
                        line       => "line.tpl", 
                        colour0    => "colour0.tpl",
                        colour1    => "colour1.tpl",
                        colour2    => "colour2.tpl",
                        td         => "td.tpl") ); 

//First Line
$tplArt->assign(LNF_TD_WIDTH,"30%");
$tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["password"]."</b>");
$tplArt->parse(LNF_ROW,"td");
$tplArt->assign(LNF_TD_WIDTH,"70%");
$tplArt->assign(LNF_TD_CONTENT,"&nbsp");
$tplArt->parse(LNF_ROW,".td");
$tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
$tplArt->parse(LNF_TABLE_ROWS,".row");

$tplArt->assign(LNF_TD_WIDTH,"30%");
$tplArt->assign(LNF_TD_CONTENT,$display[$lang]["accesstype"]);
$tplArt->parse(LNF_ROW,"td");

$line = "<input type=\"radio\" name=\"logintype\" value=\"Reader\" checked>".$display[$lang]["reader"]; 
$line = $line . "<input type=\"radio\" name=\"logintype\" value=\"Poster\">".$display[$lang]["poster"]; 

if (($way==1)||($currenttopic!="AllTopics")) 
   $line = $line . "<input type=\"radio\" name=\"logintype\" value=\"Moderator\">Moderator"; 

$line = $line . "<input type=\"radio\" name=\"logintype\" value=\"Admin\" >".$display[$lang]["admin"]; 

$tplArt->assign(LNF_LINE_BODY,$line); 
$tplArt->parse(LNF_TD_CONTENT,"line");
$tplArt->assign(LNF_TD_WIDTH,"70%");
$tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
$tplArt->parse(LNF_ROW,".td");
$tplArt->parse(LNF_TABLE_ROWS,".row");

$tplArt->assign(LNF_TD_WIDTH,"30%");
$tplArt->assign(LNF_TD_CONTENT,$display[$lang]["enterpassword"]);
$tplArt->parse(LNF_ROW,"td");
$tplArt->assign(LNF_TD_WIDTH,"70%");
$tplArt->assign(LNF_TD_CONTENT,"<input type=\"password\" name=\"passwd\" SIZE=\"30\" MAXLENGTH=\"30\">");
$tplArt->parse(LNF_ROW,".td");
$tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
$tplArt->parse(LNF_TABLE_ROWS,".row");

$tplArt->assign(LNF_TABLE_WIDTH,"95%");
$tplArt->parse(FINAL,"table");
$tplArt->FastPrint(FINAL);

?>
<center> <input type="submit" name="submit" value="Ok"> </center>

</form>
<?php
include "tail".$LNF_file_extension;
?>