<?php
// ========= USER MODIFICATION NEEDED ================

// URL
//  Put the LaNewsFactory directory URL of your web site.
//  Don't forget the last "/" .
$url="http://127.0.0.1/lnf/";

// SITE TITLE 
//  Enter the title that appears in top of the client browser.
$title="LaNewsFactory web forum";

// WAY OF WORKING
//  It sets the way LNF will work. If 0, it works as a forums system :
//  each topic is a category with its admin/mod, its settings, no way to
//  see all the messages. If  1, it works as a news system : one 
//  settings set, one admin/mod, capability to see all messages.
//  Correct values : 0 (forum) / 1 (news system)
$way=1;

// LNF_GRAPHICAL_THEME
//  It sets the HTML template LNF will use to display its pages
//  Correct values : all directory entries available in templates directory
$LNF_template="lnf.tpl";

// LNF_TIMEDIF
//  It sets the difference of hours between your server time and the time 
//  you want to display. Usefull for sites localized in a country different
//  from the users one. 
//  Correct values : -12 to +12
$LNF_timedif=0;

// LNF_FILE_EXTENSION
//  It sets the extension of the PHP scripts used by the webserver.
//  Correct values : any values that can be interpreted by the webserver as
//                   php file extension.
$LNF_file_extension=".php";
?>
