<?php
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000-2002 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
if (file_exists("functions.php"))
   include "functions.php";
else if (file_exists("functions.php3"))
         include "functions.php3";
       else 
       {
         echo "no functions file. Error.";
         exit;
       }

include "lnf-display-xml".$LNF_file_extension;
include "lnf-auth".$LNF_file_extension;
include "lnf-utils-xml".$LNF_file_extension;

CheckHabilitation("Admin",$currenttopic);
include "menu".$LNF_file_extension;

?>
<form method="post" action="settingsupdate<?php echo $LNF_file_extension; ?>">
<input name="comefrom" type="hidden" value="sitesettings">
<?php
  $tab = GetUserSettings("sitesettings".$LNF_file_extension);
  $taille = sizeof($tab);


  $tplArt = new FastTemplate("templates/$LNF_template"); 
  $tplArt->define( array( table      => "table.tpl", 
                          row        => "row.tpl", 
                          line       => "line.tpl", 
                          colour0    => "colour0.tpl",
                          colour1    => "colour1.tpl",
                          colour2    => "colour2.tpl",
                          td         => "td.tpl") ); 

  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["siteoptions"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,"row");

  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["option"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["value"]."</b>");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,".row");

  for ($i=1; $i < $taille-1; $i++)
  {   

      $subtab = explode("=",$tab[$i]);

      switch ($subtab[0])
      {
	   case '$LNF_template':
            $tplArt->assign(LNF_TD_WIDTH,"30%");
            $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["template"]);
            $tplArt->parse(LNF_ROW,"td");
            $tplArt->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newtemplate\" size=1>\n";

            $listtemplates=ListDirInArray("tpl$", "templates");

            $taillelist=sizeof($listtemplates);

            for($k=0;$k<$taillelist;$k++)
            {
               if ($listtemplates[$k]!=$LNF_template)
                  $line = $line . "<option value=\"" . $listtemplates[$k] . "\">" . $listtemplates[$k]. "</option>\n";
			   else
                  $line = $line . "<option selected value=\"" . $listtemplates[$k] . "\">" . $listtemplates[$k]. "</option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt->assign(LNF_TD_CONTENT,$line);
            $tplArt->parse(LNF_ROW,".td");
            $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt->parse(LNF_TABLE_ROWS,".row");
            break;

       case '$LNF_timedif':
            $tplArt->assign(LNF_TD_WIDTH,"30%");
            $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["timedif"]);
            $tplArt->parse(LNF_ROW,"td");
            $tplArt->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newtimedif\" size=1>\n";

            for($j=-12;$j<13;$j++)
            {
               if ($j!=$LNF_timedif)
                  $line = $line . "<option value=$j> $j </option>\n";
			   else
                  $line = $line . "<option selected value=$j> $j </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt->assign(LNF_TD_CONTENT,$line);
            $tplArt->parse(LNF_ROW,".td");
            $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt->parse(LNF_TABLE_ROWS,".row");
            break;
            
      case '$url':
            $tplArt->assign(LNF_TD_WIDTH,"30%");
            $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["url"]);
            $tplArt->parse(LNF_ROW,"td");
            $tplArt->assign(LNF_TD_WIDTH,"70%");
            $tplArt->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"newurl\" SIZE=\"60\" MAXLENGTH=\"60\" value=$subtab[1]>");
            $tplArt->parse(LNF_ROW,".td");
            $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt->parse(LNF_TABLE_ROWS,".row");
            break;

       case '$title':
            $tplArt->assign(LNF_TD_WIDTH,"30%");
            $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["title"]);
            $tplArt->parse(LNF_ROW,"td");
            $tplArt->assign(LNF_TD_WIDTH,"70%");
            $tplArt->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"newtitle\" SIZE=\"60\" MAXLENGTH=\"60\" value=\"$subtab[1]\">");
            $tplArt->parse(LNF_ROW,".td");
            $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$way':
            $tplArt->assign(LNF_TD_WIDTH,"30%");
            $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["sitebehavior"]);
            $tplArt->parse(LNF_ROW,"td");
            $tplArt->assign(LNF_TD_WIDTH,"70%");

            if($way==0)
                $tplArt->assign(LNF_TD_CONTENT,"<input type=\"RADIO\" name=\"newway\" value=\"0\" CHECKED> ". $display[$lang]["forum"] . "\n" . "<input type=\"RADIO\" name=\"newway\" value=\"1\">" . $display[$lang]["newssystem"] . "\n");
			else
              $tplArt->assign(LNF_TD_CONTENT,"<input type=\"RADIO\" name=\"newway\" value=\"0\">" . $display[$lang]["forum"] . "\n" . "<input type=\"RADIO\" name=\"newway\" value=\"1\" CHECKED> " . $display[$lang]["newssystem"] . "\n");

            $tplArt->parse(LNF_ROW,".td");
            $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt->parse(LNF_TABLE_ROWS,".row");
            break;

	   default:
            break;
      }
  }

  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"<input type=\"submit\" name=\"submit\" value=\"". $display[$lang]["send"]."\">");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,".row");
    
  $tplArt->assign(LNF_TABLE_WIDTH,"95%");
  $tplArt->parse(FINAL,"table");
  $tplArt->FastPrint(FINAL);
?>


</form>

<p>

<?php     

// news system behavior or forum behavior with no current topic selected
if ($way==1) 
{
  echo "<form method=\"post\" action=\"settingsupdate".$LNF_file_extension."\">";
  echo "<input name=\"comefrom\" type=\"hidden\" value=\"globaltopicssettings\">";

  $tab = GetUserSettings("usersettings".$LNF_file_extension);

  $taille = sizeof($tab);

  $tplArt2 = new FastTemplate("templates/$LNF_template"); 
  $tplArt2->define( array( table      => "table.tpl", 
                          row        => "row.tpl", 
                          line       => "line.tpl", 
                          colour0    => "colour0.tpl",
                          colour1    => "colour1.tpl",
                          colour2    => "colour2.tpl",
                          td         => "td.tpl") ); 

  $tplArt2->assign(LNF_TD_WIDTH,"30%");
  $tplArt2->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["globaltopicoptions"]."</b>");
  $tplArt2->parse(LNF_ROW,"td");
  $tplArt2->assign(LNF_TD_WIDTH,"70%");

  if ($way==0) // forums behaviour 
     $tplArt2->assign(LNF_TD_CONTENT,"<b>" . $currenttopic . "</b>");
  else         // news system behaviour
     $tplArt2->assign(LNF_TD_CONTENT,"&nbsp");

  $tplArt2->parse(LNF_ROW,".td");
  $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt2->parse(LNF_TABLE_ROWS,"row");

  $tplArt2->assign(LNF_TD_WIDTH,"30%");
  $tplArt2->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["option"]."</b>");
  $tplArt2->parse(LNF_ROW,"td");
  $tplArt2->assign(LNF_TD_WIDTH,"70%");
  $tplArt2->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["value"]."</b>");
  $tplArt2->parse(LNF_ROW,".td");
  $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt2->parse(LNF_TABLE_ROWS,".row");

  for ($i=1; $i < $taille-1; $i++)
  {   

      $subtab = explode("=",$tab[$i]);
      switch ($subtab[0])
      {      
	   case '$lang':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["language"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
            $tplArt2->assign(LNF_TD_CONTENT,DisplayLang());
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$LNF_displaylinks':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["displaylinks"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newdisplaylinks\" size=1>\n";

            if ($LNF_displaylinks==1)
            {
               $line = $line . "<option selected value=1> " . $display[$lang]["yes"] . " </option>\n" . "<option value=0> " . $display[$lang]["no"] . " </option>\n";
            }
            else
            {
               $line = $line . "<option value=1> " . $display[$lang]["yes"] . " </option>\n" . "<option selected value=0> " . $display[$lang]["no"] . " </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

       case '$emailmod':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["moderatoremail"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
            $tplArt2->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"newemailmod\" SIZE=\"60\" MAXLENGTH=\"60\" value=$subtab[1]>");
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$font':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["font"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newfont\" size=1>\n";

            $taillefonts=sizeof($fonts);
            for($k=0;$k<$taillefonts;$k++)
            {
               if ($fonts[$k]!=$font)
                  $line = $line . "<option value=\"" . $fonts[$k] . "\">" . $fonts[$k]. "</option>\n";
			   else
                  $line = $line . "<option selected value=\"" . $fonts[$k] . "\">" . $fonts[$k]. "</option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$newsperpage':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["newsperpage"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newnperpg\" size=1>\n";

            for($j=1;$j<100;$j++)
            {
               if ($j!=$newsperpage)
                  $line = $line . "<option value=$j> $j </option>\n";
			   else
                  $line = $line . "<option selected value=$j> $j </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$answersdepth':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["newsdepth"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newdepth\" size=1>\n";

            for($r=1;$r<11;$r++)
            {
               if ($r!=$answersdepth)
                  $line = $line . "<option value=$r> $r </option>\n";
			   else
                  $line = $line . "<option selected value=$r> $r </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");

            break;

	   case '$LNF_image_topic': 
            /*
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["logo"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newimage\" size=1>\n";
            */ 
            $listimages=ListDirInArray("[gif|jpg]$", "images/topicimages");

            $taillelist=sizeof($listimages);

            for($k=0;$k<$taillelist;$k++)
            {
               if ($listimages[$k]==$LNF_image_topic)
                  echo "<input name=\"newimage\" type=\"hidden\" value=\"".$listimages[$k]."\">";
            }

            /*$line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
			*/
            break;

	   case '$linespernews':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["newslength"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newlpernw\" size=1>\n";

            for($k=1;$k<21;$k++)
            {
               if ($k!=$linespernews)
                  $line = $line . "<option value=$k> $k </option>\n";
			   else
                  $line = $line . "<option selected value=$k> $k </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$EnableHtml':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["enablehtml"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newhtml\" size=1>\n";

            if ($EnableHtml==yes)
            {
               $line = $line . "<option selected value=\"yes\"> " . $display[$lang]["yes"] . " </option>\n" . "<option value=\"no\"> " . $display[$lang]["no"] . " </option>\n";
            }
            else
            {
               $line = $line . "<option value=\"yes\"> " . $display[$lang]["yes"] . " </option>\n" . "<option selected value=\"no\"> " . $display[$lang]["no"] . " </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");

            break;

	   case '$moderate':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["moderatedsite"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newmoderate\" size=1>\n";

            if ($moderate==yes)
            {
               $line = $line . "<option selected value=\"yes\"> " . $display[$lang]["yes"] . " </option>\n" . "<option value=\"no\"> " . $display[$lang]["no"] . " </option>\n";
            }
            else
            {
               $line = $line . "<option value=\"yes\"> " . $display[$lang]["yes"] . " </option>\n" . "<option selected value=\"no\"> " . $display[$lang]["no"] . " </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$LNF_site_restricted_access':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["accesspolicy"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newaccesspolicy\" size=1>\n";

            if ($LNF_site_restricted_access==1)
            {
               $line = $line . "<option selected value=\"1\"> " . $display[$lang]["accesstolu"] . " </option>\n" . "<option value=\"0\"> " . $display[$lang]["accesstoeo"] . " </option>\n";
            }
            else
            {
               $line = $line . "<option value=\"1\"> " . $display[$lang]["accesstolu"] . " </option>\n" . "<option selected value=\"0\"> " . $display[$lang]["accesstoeo"] . " </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");

            break;

		   case '$LNF_reply_notification':
				$tplArt2->assign(LNF_TD_WIDTH,"30%");
				$tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["replynotification"]);
				$tplArt2->parse(LNF_ROW,"td");
				$tplArt2->assign(LNF_TD_WIDTH,"70%");
						 
				$line="<select name=\"newreplyemailnotify\" size=1>\n";

				if ($subtab[1]==1)
				{
				   $line = $line . "<option selected value=\"1\"> " . $display[$lang]["yes"] . " </option>\n" . "<option value=\"0\"> " . $display[$lang]["no"] . " </option>\n";
				}
				else
				{
				   $line = $line . "<option value=\"1\"> " . $display[$lang]["yes"] . " </option>\n" . "<option selected value=\"0\"> " . $display[$lang]["no"] . " </option>\n";
				}

				$line = $line . "</select>\n";
				$tplArt2->assign(LNF_TD_CONTENT,$line);
				$tplArt2->parse(LNF_ROW,".td");
				$tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
				$tplArt2->parse(LNF_TABLE_ROWS,".row");

				break;

	   case '$LNF_site_restricted_post':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["postingpolicy"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newpostingpolicy\" size=1>\n";

            if ($LNF_site_restricted_post==1)
            {
               $line = $line . "<option selected value=\"1\"> " . $display[$lang]["posttolu"] . " </option>\n" . "<option value=\"0\"> " . $display[$lang]["posttoeo"] . " </option>\n";
            }
            else
            {
               $line = $line . "<option value=\"1\"> " . $display[$lang]["posttolu"] . " </option>\n" . "<option selected value=\"0\"> " . $display[$lang]["posttoeo"] . " </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");

            break;

	   default:

            break;
      }
  }

  // forums behavior
  if ($way==0) 
  {
     $fic1=fopen("news/".$currenttopic.".des","r");
     $line=fread($fic1,filesize("news/".$currenttopic.".des"));
     fclose($fic1);
  }
  else 
  // news system behavior 
     $line = "News system parameters.";

  $tplArt2->assign(LNF_TD_WIDTH,"30%");
  $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["description"]);
  $tplArt2->parse(LNF_ROW,"td");
  $tplArt2->assign(LNF_TD_WIDTH,"70%");
  if ($way==0) // forums behaviour 
    $tplArt2->assign(LNF_TD_CONTENT,"<textarea name=\"description\" rows=3 cols=60 wrap=PHYSICAL>".$line."</textarea> <br>\n");
  else         // news system behaviour
    $tplArt2->assign(LNF_TD_CONTENT,$line);
  $tplArt2->parse(LNF_ROW,".td");
  $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
  $tplArt2->parse(LNF_TABLE_ROWS,".row");
       
  $tplArt2->assign(LNF_TD_WIDTH,"30%");
  $tplArt2->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt2->parse(LNF_ROW,"td");
  $tplArt2->assign(LNF_TD_WIDTH,"70%");
  $tplArt2->assign(LNF_TD_CONTENT,"<input type=\"submit\" name=\"submit\" value=\"". $display[$lang]["send"]."\">");
  $tplArt2->parse(LNF_ROW,".td");
  $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt2->parse(LNF_TABLE_ROWS,".row");

  $tplArt2->assign(LNF_TABLE_WIDTH,"95%");
  $tplArt2->parse(FINAL,"table");
  $tplArt2->FastPrint(FINAL);
}
?>

</form>
<?php
include "tail".$LNF_file_extension;
?>